# Get variant for terms

## GET /public/v1/program/programs/{programId}/terms/{programTermsAndConditionsId}/variants/{id}

>

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"prod-4.0.155-g3cf2ba3f"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/program/programs/{programId}/terms/{programTermsAndConditionsId}/variants/{id}":{"get":{"tags":["ProgramTermsAndConditionsVariant"],"parameters":[{"name":"programId","in":"path","required":true,"schema":{"type":"string"}},{"name":"programTermsAndConditionsId","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"select","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProgramTermsAndConditionsVariant"}}}},"301":{"description":"Moved Permanently"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ProgramTermsAndConditionsVariant":{"type":"object","properties":{"id":{"type":"string"},"audit":{"type":"object","allOf":[{"$ref":"#/components/schemas/Audit"}]},"$meta":{"type":"object","allOf":[{"$ref":"#/components/schemas/Metadata"}]},"type":{"type":"string"},"assetUrl":{"type":"string"},"languageCode":{"type":"string","nullable":true},"name":{"type":"string"},"description":{"type":"string"},"status":{"type":"string","allOf":[{"$ref":"#/components/schemas/ProgramTermsAndConditionsVariantStatus"}]},"filename":{"type":"string","nullable":true},"size":{"type":"integer","format":"int32","nullable":true},"contentType":{"type":"string"},"programTermsAndConditions":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProgramTermsAndConditionsRef"}]},"fileId":{"type":"string"}},"additionalProperties":false},"Audit":{"type":"object","properties":{"created":{"type":"object","allOf":[{"$ref":"#/components/schemas/Event"}]},"updated":{"type":"object","allOf":[{"$ref":"#/components/schemas/Event"}]}},"additionalProperties":false},"Event":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/Identity"}]}},"additionalProperties":false},"Identity":{"type":"object","properties":{"id":{"type":"string"},"audit":{"type":"object","allOf":[{"$ref":"#/components/schemas/Audit"}]},"$meta":{"type":"object","allOf":[{"$ref":"#/components/schemas/Metadata"}]},"name":{"type":"string"},"icon":{"type":"string","nullable":true}},"additionalProperties":false},"Metadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"ProgramTermsAndConditionsVariantStatus":{"enum":["Draft","Published","Unpublished","Deleted"],"type":"string"},"ProgramTermsAndConditionsRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
